API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

Update sequence configuration

PATCH/v1/settings/sequences/{sequenceKey}

CodeMeta OS API endpoint.

Request Body

NameTypBeschreibung
prefixstring
suffixstring
patternstring
stepinteger
currentValueinteger
customerCodeFallbackstring
typeOverridesobject

Pfad-Parameter

NameTypBeschreibung
sequenceKeyerforderlichstring

Beispiel

curl -X PATCH https://api.codemeta-os.de/v1/settings/sequences/{sequenceKey} \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "prefix": "string",
  "suffix": "string",
  "pattern": "string",
  "step": 0,
  "currentValue": 0,
  "customerCodeFallback": "string",
  "typeOverrides": null
}'
const result = await cm.settings.patch({
  "prefix": "string",
  "suffix": "string",
  "pattern": "string",
  "step": 0,
  "currentValue": 0,
  "customerCodeFallback": "string",
  "typeOverrides": null
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche